Bug 246428 - Fn key not working
Fn key not working
Product: Fedora
Classification: Fedora
Component: fnfx (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: 246429 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-07-02 03:44 EDT by Stian Moltubakk
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-03 05:24:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stian Moltubakk 2007-07-02 03:44:51 EDT
Description of problem:Fn button in keyboard don't work

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install fnfx on a asus laptop
2.try typing xev or acpi_listen in a console
3.hit the Fn button 
Actual results:
Nothing, key seams dead

Expected results:
Ket a keykode I can bind functions to

Additional info:

After some reading on the internet it seams the Fnfx is made for toshiba 
computers and therfor only work with toshiba acpi.

I was hoping it could be posible to use some of the functions in toshiba acpi 
even I have a ASUS. I find the new feature where the ACPI is no longer in the 
proc/ frustrating since it could maybe make it easier to mix in some functions 
from other manufacturers.
Comment 1 Andreas Bierfert 2007-07-03 05:24:18 EDT
Nope its only meant for Thosiba laptops.
Comment 2 Andreas Bierfert 2007-07-03 05:25:28 EDT
*** Bug 246429 has been marked as a duplicate of this bug. ***
Comment 3 Stian Moltubakk 2007-07-05 01:06:58 EDT
So how is Fn keys suposed to work under fedora for Asus, acer, MSI and all 
others that also have Fn key? I just can't get a keykode for it using 
acpi_listen or xev and it don't do annything even I try out alot of diferent 
keyboards in controlcenter.

Note You need to log in before you can comment on or make changes to this bug.